Bug 467152 - [r300][buffmgr] - Crash when using composite with GNOME and KDE
[r300][buffmgr] - Crash when using composite with GNOME and KDE
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 22:32 EDT by Shawn Starr
Modified: 2018-04-11 10:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-31 13:00:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Starr 2008-10-15 22:32:56 EDT
Description of problem:

Cannot use desktop effects in GNOME or KDE properly.

Version-Release number of selected component (if applicable):
mesa-dri-drivers-7.2-0.8.fc10.i386

How reproducible:
in GNOME, on turning off desktop effects and on 
in KDE always

Steps to Reproduce:
1. enable composite effects in kde or desktop effects in gnome
  
Actual results:
In GNOME, will crash on disable and reenable.
in KDE, will crash always.

Expected results:
desktop eyecandy!

Additional info:

Crash gdb dump:

Program received signal SIGABRT, Aborted.
0x00132416 in __kernel_vsyscall ()       
#0  0x00132416 in __kernel_vsyscall ()                                                    
No symbol table info available.                                                           
#1  0x00443740 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64             
        resultvar = <value optimized out>                                                 
        pid = 5804020                                                                     
        selftid = 8751                                                                    
#2  0x00445108 in abort () at abort.c:88                                                  
        act = {__sigaction_handler = {sa_handler = 0x588ff4 <_Unwind_Find_FDE+1420104>,   
    sa_sigaction = 0x588ff4 <_Unwind_Find_FDE+1420104>}, sa_mask = {__val = {93,          
      173824000, 104, 4747007, 3220082736, 173824008, 173824008, 4552955, 5804020, 93,    
      173824008, 3220082908, 4718587, 173824008, 93, 3220082976, 173824008, 0, 92,        
      4222451712, 173824008, 173824008, 173824008, 173824008, 173824100, 173824108,       
      173824008, 173824108, 0, 0, 0, 0}}, sa_flags = 4754740,                             
  sa_restorer = 0x43d7c0 <transcmp>}                                                      
        sigs = {__val = {32, 0 <repeats 31 times>}}                                       
#3  0x0043c68e in __assert_fail (assertion=0x8436d5 "!batch_bo->pending_count",           
    file=0x8436ca "r300_mem.c", line=825, function=0x843acc "bufmgr_classic_post_submit") 
    at assert.c:78                                                                        
        buf = 0xa5c5808 "p�X"                                                             
        errstr = "Unexpected error.\n"                                                    
#4  0x00818a5b in bufmgr_classic_post_submit (batch_buf=0xa3f5f28) at r300_mem.c:832      
---Type <return> to continue, or q <return> to quit---
        reloc = (radeon_reloc *) 0xffffffea           
        i = 0                                         
        __PRETTY_FUNCTION__ = "bufmgr_classic_post_submit"
#5  0x0083bcc5 in dri_post_submit (batch_buf=0xa3f5f28, last_fence=0x0)
    at radeon_dri_bufmgr.c:147                                         
No locals.                                                             
#6  0x0081fc86 in r300FlushCmdBufLocked (r300=0x9c9e840, caller=0x845c38 "r300Flush")
    at r300_cmdbuf.c:132                                                             
        ret = -22                                                                    
        cmd = {bufsz = 1452, buf = 0xa594748 "\a\006", nbox = 0, boxes = 0x9defab8}  
        start = <value optimized out>                                                
        __FUNCTION__ = "r300FlushCmdBufLocked"                                       
#7  0x0081fd55 in r300FlushCmdBuf (r300=0x9c9e840, caller=0x845c38 "r300Flush")      
    at r300_cmdbuf.c:154                                                             
        ret = <value optimized out>                                                  
#8  0x0081ce78 in r300Flush (ctx=0xa1379e0) at r300_ioctl.c:559                      
        rmesa = (r300ContextPtr) 0x9c9e840                                           
        __FUNCTION__ = "r300Flush"                                                   
#9  0x008187bf in radeonEnable (ctx=0xa1379e0, cap=3089, state=0 '\0')               
    at radeon_state.c:206                                                            
No locals.                                                                           
---Type <return> to continue, or q <return> to quit---                               
#10 0x0082264d in r300Enable (ctx=0xa1379e0, cap=3089, state=0 '\0') at r300_state.c:2166
        __FUNCTION__ = "r300Enable"                                                      
#11 0x008a36d6 in _mesa_set_enable (ctx=0xa1379e0, cap=3089, state=0 '\0')               
    at main/enable.c:973                                                                 
No locals.                                                                               
#12 0x00882237 in _mesa_PopAttrib () at main/attrib.c:959                                
        color = (const struct gl_colorbuffer_attrib *) 0x9def218                         
        attr = (struct gl_attrib_node *) 0xa5c5570                                       
        next = <value optimized out>                                                     
#13 0x0068a1b0 in __glXDisp_PopAttrib (pc=0xa5c2c08 "\004") at indirect_dispatch.c:1445  
No locals.                                                                               
#14 0x006b5daf in __glXDisp_Render (cl=0x9c95b4c, pc=0xa5c2c04 "\004") at glxcmds.c:1789 
        entry = {bytes = 4, varsize = 0}                                                 
        extra = <value optimized out>                                                    
        proc = (__GLXdispatchRenderProcPtr) 0x68a190 <__glXDisp_PopAttrib>               
        err = 0                                                                          
        client = (ClientPtr) 0x9c89a70                                                   
        left = 40                                                                        
        cmdlen = 4                                                                       
        error = -1074883704                                                              
        commandsDone = 21                                                                
---Type <return> to continue, or q <return> to quit---
        glxc = (__GLXcontext *) 0x9ca1938
        sw = <value optimized out>
#15 0x006ba63a in __glXDispatch (client=0x9c89a70) at glxext.c:512
        stuff = (xGLXSingleReq *) 0xa5c2b1c
        opcode = 1 '\001'
        cl = (__GLXclientState *) 0x9c95b4c
        retval = 1
#16 0x08085e8f in Dispatch () at dispatch.c:454
        result = <value optimized out>
        client = (ClientPtr) 0x9c89a70
        nready = 0
        start_tick = 1380
#17 0x0806b68d in main (argc=10, argv=0xbfee9504, envp=Cannot access memory at address 0x2237
) at main.c:441
        i = <value optimized out>
        error = 136257204
        xauthfile = <value optimized out>
        alwaysCheckForInput = {0, 1}
Comment 1 Stuart Jarvis 2008-10-20 17:09:22 EDT
Apologies if my comments are unrelated to this bug - my symptoms are similar but hardware is different - I'm happy to open a separate bug if more appropriate.

Hardware: Mobility Radeon 7500 (RV200?) using:
mesa-dri-drivers-7.2-0.9.fc10.i386
xorg-x11-drv-ati-6.9.0-28.fc10.i386

Symptoms as original reporter - X crashes on enabling effects in KDE and on all subsequent attempts to log in until desktop effects are turned off (by deleting ~/.kde from runlevel 3). I have not tried with Gnome.

2d performance (desktop with compositing disabled) was also noticeably slower compared to F9 - I wondered if this might be related to EXA (now used by default?) so generated an xorg.conf with 'X -configure' and added "AccelMethod" "XAA" in the device section. This fixed the 2d speed issues and (oddly?) also the crash when enabling compositing - KDE desktop effects are now enabled without crashing X and work reasonably well (it is an old card so not that fast).
Comment 2 Stuart Jarvis 2008-10-20 17:43:03 EDT
Heh - now switching desktop effects on/off works whether or not XAA is specified in the xorg.conf, so I guess ignore comment #1. Pretty sure I didn't alter anything else to magically get it working though...
Comment 3 Matěj Cepl 2008-10-27 19:13:08 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Shawn Starr 2008-10-31 10:46:00 EDT
There have been many changes with the DRM radeon driver and I logged it in case airlied needed reference for the crash :)
Comment 5 Matěj Cepl 2008-10-31 13:00:46 EDT
OK, I think we have pretty enough prefectly documented crashes in X, so I would risk the danger of closing something important, and close this as well. ;-)

Thanks for effort though (really)
Comment 6 Stuart Jarvis 2008-11-01 14:27:07 EDT
Sorry for delay in getting back to this. As bug is closed and the issue seems to have gone away (for me at least) I assume the xorg config and log files are no longer required. Let me know if this is not the case.

Note You need to log in before you can comment on or make changes to this bug.